package org.eclipse.equinox.launcher;

import java.io.ByteArrayOutputStream;

public class ByteArrayBuffer extends ByteArrayOutputStream {
   public ByteArrayBuffer() {
   }

   public ByteArrayBuffer(int size) {
      super(size);
   }

   synchronized byte[] getByteArray() {
      return this.buf;
   }

   public synchronized void consumed(int count) {
      if (count >= this.count) {
         this.reset();
      } else {
         System.arraycopy(this.buf, count, this.buf, 0, this.count - count);
      }
   }
}
